package com.flyfish.framework.annotations;

import java.lang.annotation.*;

/**
 * 加在类上，指定父类的一些属性，优先级更高
 *
 * @author wangyu
 */
@Target(ElementType.TYPE)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Properties {

    /**
     * 需要映射的key
     * @return 键们
     */
    String[] keys();

    /**
     * 需要映射的标题
     * @return 标题们
     */
    String[] titles();
}
