package com.flyfish.framework.beans.meta;

import lombok.Data;

import java.util.List;

/**
 * bean的属性们
 * @author wangyu
 */
@Data
public class BeanInfo {

    // bean的编码
    private String code;

    // bean的显示名
    private String name;

    // bean的属性们
    private List<BeanProperty> properties;

    // 表格列属性
    private List<BeanProperty> columns;

    // 表格查询属性
    private List<BeanProperty> search;
}
